# Uses of Class
org.apache.sysds.runtime.io.MatrixReader

Packages that use MatrixReader
Package
Description
org.apache.sysds.runtime.compress.io
org.apache.sysds.runtime.io
org.apache.sysds.runtime.iogen
org.apache.sysds.runtime.iogen.template

## Uses of MatrixReader in org.apache.sysds.runtime.compress.io

Subclasses of MatrixReader in org.apache.sysds.runtime.compress.io
Modifier and Type
Class
Description
`final class`
`ReaderCompressed`

## Uses of MatrixReader in org.apache.sysds.runtime.io

Subclasses of MatrixReader in org.apache.sysds.runtime.io
Modifier and Type
Class
Description
`class`
`ReaderBinaryBlock`
`class`
`ReaderBinaryBlockParallel`
`class`
`ReaderCOG`
`class`
`ReaderCOGParallel`
`class`
`ReaderDelta`
Single-threaded native Delta Lake reader for matrices, built on the Spark-free Delta Kernel library.
`class`
`ReaderDeltaParallel`
Parallel native Delta Lake matrix reader.
`class`
`ReaderHDF5`
`class`
`ReaderHDF5Parallel`
`class`
`ReaderTextCell`
`class`
`ReaderTextCellParallel`
Parallel version of ReaderTextCell.java.
`class`
`ReaderTextCSV`
`class`
`ReaderTextCSVParallel`
Parallel version of ReaderTextCSV.java.
`class`
`ReaderTextLIBSVM`
`class`
`ReaderTextLIBSVMParallel`
Methods in org.apache.sysds.runtime.io that return MatrixReader
Modifier and Type
Method
Description
`static MatrixReader`
MatrixReaderFactory.`createMatrixReader(Types.FileFormat fmt)`
`static MatrixReader`
MatrixReaderFactory.`createMatrixReader(ReadProperties props)`

## Uses of MatrixReader in org.apache.sysds.runtime.iogen

Methods in org.apache.sysds.runtime.iogen that return MatrixReader
Modifier and Type
Method
Description
`MatrixReader`
GenerateReader.GenerateReaderMatrix.`getReader()`

## Uses of MatrixReader in org.apache.sysds.runtime.iogen.template

Subclasses of MatrixReader in org.apache.sysds.runtime.iogen.template
Modifier and Type
Class
Description
`class`
`MatrixGenerateReader`
`class`
`MatrixGenerateReaderParallel`